# mmp-metadata
This is a API for MMP Metadata

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0-oas3
- Package version: 1.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import openapi_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import openapi_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint


# create an instance of the API class
api_instance = openapi_client.ArtifactApi(openapi_client.ApiClient(configuration))
experiment = 'experiment_example' # str | The experiemnt's id
run = 'run_example' # str | The run's id

try:
    # list of artifacts
    api_response = api_instance.experiments_experiment_artifacts_get(experiment, run)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ArtifactApi->experiments_experiment_artifacts_get: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://localhost:8080/v1/metadata*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ArtifactApi* | [**experiments_experiment_artifacts_get**](docs/ArtifactApi.md#experiments_experiment_artifacts_get) | **GET** /experiments/{experiment}/artifacts | list of artifacts
*ArtifactApi* | [**experiments_experiment_runs_run_artifacts_get**](docs/ArtifactApi.md#experiments_experiment_runs_run_artifacts_get) | **GET** /experiments/{experiment}/runs/{run}/artifacts | list of artifacts
*ArtifactApi* | [**experiments_experiment_runs_run_artifacts_post**](docs/ArtifactApi.md#experiments_experiment_runs_run_artifacts_post) | **POST** /experiments/{experiment}/runs/{run}/artifacts | adds an artifact
*ExecutionApi* | [**experiments_experiment_runs_run_executions_get**](docs/ExecutionApi.md#experiments_experiment_runs_run_executions_get) | **GET** /experiments/{experiment}/runs/{run}/executions | list of executions
*ExecutionApi* | [**experiments_experiment_runs_run_executions_post**](docs/ExecutionApi.md#experiments_experiment_runs_run_executions_post) | **POST** /experiments/{experiment}/runs/{run}/executions | adds an execution
*ExperimentApi* | [**experiments_experiment_get**](docs/ExperimentApi.md#experiments_experiment_get) | **GET** /experiments/{experiment} | experiment by id
*ExperimentApi* | [**experiments_get**](docs/ExperimentApi.md#experiments_get) | **GET** /experiments | list of experiments
*ExperimentApi* | [**experiments_post**](docs/ExperimentApi.md#experiments_post) | **POST** /experiments | adds an experiment
*RunApi* | [**experiments_experiment_runs_get**](docs/RunApi.md#experiments_experiment_runs_get) | **GET** /experiments/{experiment}/runs | list of runs
*RunApi* | [**experiments_experiment_runs_post**](docs/RunApi.md#experiments_experiment_runs_post) | **POST** /experiments/{experiment}/runs | adds an run
*RunApi* | [**experiments_experiment_runs_run_get**](docs/RunApi.md#experiments_experiment_runs_run_get) | **GET** /experiments/{experiment}/runs/{run} | run by id


## Documentation For Models

 - [Artifact](docs/Artifact.md)
 - [Dataset](docs/Dataset.md)
 - [Executable](docs/Executable.md)
 - [Execution](docs/Execution.md)
 - [Experiment](docs/Experiment.md)
 - [Metrics](docs/Metrics.md)
 - [Model](docs/Model.md)
 - [Pair](docs/Pair.md)
 - [Run](docs/Run.md)


## Documentation For Authorization

 All endpoints do not require authorization.

## Author

st116848@stud.uni-stuttgart.de.com


